Description

Supportanfrage

Weil wir als Übertragungsweg DDS verwenden haben wir in der Vergangenheit DDS-IN-OUT Subgraphen definiert. Der gleiche

Subgraph wurde von Sendern und Empfängern eingebunden. Die DDS Filter waren je nach angeschlossenem Pin entweder Source

oder Sink. Der Vorteil dieses Verfahrens war, dass wenn man ein Topic geändert hat, sich die Änderung gleich auf den Sender und

den Empfänger durchgeschlagen hat. Und: Man musste die Anpassung nur an einer Stelle machen was ein renaming extrem

vereinfacht hat.

Meine Frage ist nun:

Kann man ebenfalls einen Streaming-Filter bauen der gleichzeitig Sender und Quelle ist? Das würde auf jeden Fall den

Konfigurationsaufwand minimieren.

Von der Architektur her ist das dann zwar nicht mehr 100% sauber aber

Lösung

Die Streaming Services sind so definiert, dass eine Source nur Output-Pins und eine Sink nur Input-Pins hat.

Ein Mischbetrieb, also "Filter mit Ein- und Ausgangspins" im Streaming Graph, ist aktuell nicht vorgesehen.

Siehe Streaming Service

Wenn du eine Source und Sink programmatisch verbinden möchtest, kannst du dies via Interface Binding tun, siehe dazu auch 
History

#1 - 2019-02-06 16:43 - hidden

Des Weiteren gibt es aktuell ca. 150 DDS Filter und wir würden nach der Anpassung an das neue Konzept 300 erhalten.

#2 - 2019-02-07 08:43 - hidden

- Project changed from Public Support to 20

- Topic set to ADTF::FilterSDK

#4 - 2019-02-07 16:34 - hidden

- Status changed from New to Customer Feedback Required

Hi Timo,

die Streaming Services sind so definiert, dass eine Source nur Output-Pins und eine Sink nur Input-Pins hat.

Ein Mischbetrieb, also "Filter mit Ein- und Ausgangspins" im Streaming Graph, ist aktuell nicht vorgesehen.

Siehe Streaming Service

Wenn ich den Use Case aber soweit richtig verstehe, müsstest du das aber über die Trennung Streaming und Filter Graph abbilden können...

#5 - 2019-02-11 10:31 - hidden

One way is to connect a source and a sink via an "Interface Binding", so both services will use the same configuration.

Also see https://support.digitalwerk.net/issues/2431
support.digitalwerk.net/adtf/v3/adtf_html/page_streaming_service.html
https://support.digitalwerk.net/issues/2431
#6 - 2019-02-11 10:50 - hidden

One way is to connect a source and a sink via an "Interface Binding", so both services will use the same configuration.

Also see https://support.digitalwerk.net/issues/2431

 So habe ich die Frage zwar nicht verstanden aber ja, so können Komponenten miteinander verknüpft werden.

Das löst aber imho nicht das "Problem", dass es in ADTF 3.x doppelt soviele Streaming Services werden, wie in ADTF 2.x Filter.

Ich bin der Meinung, man könnte Filtergraphen generisch machen (also Ein-/Ausgang), und über Streaming Graphen (1x Sender. 1x Receiver)

switchen.

Grundsätzlich würde ich aber die 150 Use Cases in Frage stellen, ob man diese nicht generischer abdecken kann (z.B. via META Files/Description

Files, Setups oder den Mapping Editor), sprich nur einen generischen Filter bzw. 2x Source, 1x Sink

#8 - 2019-02-15 14:18 - hidden

Hallo Timo,

können wir das Ticket schließen, sind deine Fragen beantwortet ?

#9 - 2019-02-19 13:07 - hidden

- Project changed from 20 to Public Support

- Subject changed from StreamingSourceSink Filter requested to Combination of Streaming Source and Streaming Sink required (Filter for Streaming

Graph)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#10 - 2019-03-08 13:58 - hidden

- Status changed from To Be Closed to Closed
